Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LinearCylinderVortexForce Class Reference

Defines a cylinder inside of which all forces are tangential to the theta of the particle wrt the z-axis in local coord. More...

Inheritance diagram for LinearCylinderVortexForce:

List of all members.

## Public Member Functions
| LinearCylinderVortexForce (LinearCylinderVortexForce const copy)
| copy Constructor
| LinearCylinderVortexForce (float radius, float length, float coef, float a, bool md)
| Simple Constructor.
| LinearCylinderVortexForce (float radius, float length, float coef)
| Simple Constructor.
| LinearCylinderVortexForce (float radius, float length)
| Simple Constructor.
| LinearCylinderVortexForce (float radius, float length, float coef, float a)
| Simple Constructor.
| LinearCylinderVortexForce (float radius)
| Simple Constructor.
| LinearCylinderVortexForce ()
| Simple Constructor.
float | getCoef ()
float | getLength ()
float | getRadius ()
| setCoef (float coef)
| setLength (float length)
| setRadius (float radius)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Defines a cylinder inside of which all forces are tangential to the theta of the particle wrt the z-axis in local coord.

space. This happens by assigning the force a node by which the cylinder is transformed. Be warned- this will suck anything that it can reach directly into orbit and will NOT let go.

## Constructor & Destructor Documentation

LinearCylinderVortexForce | ( | LinearCylinderVortexForce const | copy | ) |

copy Constructor

LinearCylinderVortexForce | ( | float | radius,
|  | float | length,
|  | float | coef,
|  | float | a,
|  | bool | md
| ) |  |

Simple Constructor.

LinearCylinderVortexForce | ( | float | radius,
|  | float | length,
|  | float | coef,
|  | float | a
| ) |  |

Simple Constructor.

LinearCylinderVortexForce | ( | float | radius,
|  | float | length,
|  | float | coef
| ) |  |

Simple Constructor.

LinearCylinderVortexForce | ( | float | radius,
|  | float | length
| ) |  |

Simple Constructor.

LinearCylinderVortexForce | ( | float | radius | ) |

Simple Constructor.

LinearCylinderVortexForce | ( |  | ) |

Simple Constructor.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from LinearForce.

float getCoef | ( |  | ) |

float getLength | ( |  | ) |

float getRadius | ( |  | ) |

setCoef | ( | float | coef | ) |

setLength | ( | float | length | ) |

setRadius | ( | float | radius | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties